%define upstream_name    Getopt-Attribute
%define upstream_version 2.101700

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Attribute wrapper for Getopt::Long
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Getopt/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Test::Compile)
BuildRequires: perl(Test::More) >= 0.940.0
BuildRequires: perl(UNIVERSAL::require)

BuildArch: noarch


%description
Note: This version of the module works works with perl 5.8.0. If you need
it to work with perl 5.6.x, please use an earlier version from CPAN.

This module provides an attribute wrapper around 'Getopt::Long'. Instead of
declaring the options in a hash with references to the variables and
subroutines affected by the options, you can use the 'Getopt' attribute on
the variables and subroutines directly.

As you can see from the Synopsis, the attribute takes an argument of the
same format as you would give as the hash key for 'Getopt::Long'. See the
'Getopt::Long' manpage for details.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%makeinstall_std

%files
%doc Changes README META.yml
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 2.101.700-7.mga6
+ Revision: 1027837
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 2.101.700-6.mga6
+ Revision: 946211
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.101.700-5.mga5
+ Revision: 744905
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.101.700-4.mga5
+ Revision: 684852
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.101.700-3.mga4
+ Revision: 511863
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 2.101.700-2.mga3
+ Revision: 367698
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 25 2011 jquelin <jquelin> 2.101.700-1.mga1
+ Revision: 38295
- mageia rebuild
- imported package perl-Getopt-Attribute

